## harlequin 2.1.3

=== Makefile ===
.PHONY: check
check:
	ruff format .
	ruff check . --fix
	pytest -m "not online"
	mypy

.PHONY: lint
lint:
	ruff format .
	ruff check . --fix
	mypy

.PHONY: serve
serve:
	textual run --dev -c harlequin -P dev -f . f1.db

.PHONY: sqlite
sqlite:
	textual run --dev -c harlequin -P sqlite

.PHONY: keys
keys:
	textual run --dev -c harlequin --keys

marketing: $(wildcard static/themes/*.svg) static/harlequin.gif

static/themes/%.svg: pyproject.toml src/scripts/export_screenshots.py
	python src/scripts/export_screenshots.py

static/harlequin.gif: static/harlequin.mp4
	ffmpeg -i static/harlequin.mp4 -vf "fps=24,scale=640:-1:flags=lanczos,split[s0][s1];[s0]palettegen[p];[s1][p]paletteuse" -loop 0 static/harlequin.gif

profiles: .profiles/buffers.html .profiles/fast_query.html

.profiles/buffers.html: src/scripts/profile_buffers.py pyproject.toml $(shell find src/harlequin -type f)
	pyinstrument -r html -o .profiles/buffers.html "src/scripts/profile_buffers.py"
	
.profiles/fast_query.html: src/scripts/profile_fast_query.py pyproject.toml $(shell find src/harlequin -type f)
	pyinstrument -r html -o .profiles/fast_query.html "src/scripts/profile_fast_query.py"

## harlequin 2.0.5+dfsg

=== debian/changelog ===
harlequin (2.0.5+dfsg-2) sid; urgency=medium

  * Using codenames in changelog instead of suitenames.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Mar 2025 08:14:59 +0100

harlequin (2.0.5+dfsg-1) sid; urgency=medium

  * Initial upload to sid, rebuild upstream tarball without two windows dll in
    tests (Closes: #1091727).

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Feb 2025 10:40:27 +0100

=== debian/control ===
Source: harlequin
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry,
Rules-Requires-Root: no
Standards-Version: 4.7.1
Homepage: https://harlequin.sh
Vcs-Browser: https://forgejo.debian.net/python/harlequin
Vcs-Git: https://forgejo.debian.net/python/harlequin

Package: harlequin
Section: admin
Architecture: all
Depends:
 python3-textual-fastdatatable,
 python3-textual-textarea,
 ${misc:Depends},
 ${python3:Depends},
Description: database client for the terminal
 Harlequin is a SQL IDE in your terminal. It supports connecting to for DuckDB,
 SQLite, Postgres (also supports Redshift), MySQL/MariaDB, and ODBC
 (supports MS SQL Server, Oracle, and others).

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/harlequin-$1\.tar\.gz/, \
 dversionmangle=s/\+dfsg//" \
https://github.com/tconbeer/harlequin/tags .*/v?(\d\S+)\.tar\.gz

## harlequin 2.1.2

=== debian/changelog ===
harlequin (2.1.2-2) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:48:36 +0200

harlequin (2.1.2-1) sid; urgency=medium

  * Merging upstream version 2.1.2.

 -- Daniel Baumann <daniel@debian.org>  Mon, 21 Apr 2025 09:42:34 +0200

harlequin (2.1.1-1) sid; urgency=medium

  * Merging upstream version 2.1.1.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Mar 2025 08:25:48 +0100

harlequin (2.1.0-1) sid; urgency=medium

  * Updating to standards version 4.7.2.
  * Updating vcs fields.
  * Merging upstream version 2.1.0.

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Mar 2025 10:59:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  python3-all,
  python3-poetry,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://harlequin.sh
-Vcs-Browser: https://forgejo.debian.net/python/harlequin
-Vcs-Git: https://forgejo.debian.net/python/harlequin
+Vcs-Browser: https://forgejo.debian.net/harlequin/harlequin
+Vcs-Git: https://forgejo.debian.net/harlequin/harlequin
 
 Package: harlequin
 Section: admin

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//" \
https://github.com/tconbeer/harlequin/tags .*/v?(\d.*)@ARCHIVE_EXT@

## harlequin 2.1.3

=== debian/changelog ===
harlequin (2.1.3-1) sid; urgency=medium

  * Adding upstream metadata.
  * Updating homepage field.
  * Merging upstream version 2.1.3.

 -- Daniel Baumann <daniel@debian.org>  Wed, 17 Sep 2025 02:59:35 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-poetry,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
-Homepage: https://harlequin.sh
+Homepage: https://github.com/tconbeer/harlequin
 Vcs-Browser: https://forgejo.debian.net/harlequin/harlequin
 Vcs-Git: https://forgejo.debian.net/harlequin/harlequin

## harlequin 2.2.1+dfsg

=== Makefile ===
.PHONY: check
check:
	uv run ruff format .
	uv run ruff check . --fix
	uv run pytest -m "not online"
	uv run mypy

.PHONY: lint
lint:
	uv run ruff format .
	uv run ruff check . --fix
	uv run mypy

.PHONY: serve
serve:
	uv run textual run --dev -c harlequin -P dev -f . f1.db

.PHONY: sqlite
sqlite:
	uv run textual run --dev -c harlequin -P sqlite

.PHONY: keys
keys:
	uv run textual run --dev -c harlequin --keys

marketing: $(wildcard static/themes/*.svg) static/harlequin.gif

static/themes/%.svg: pyproject.toml src/scripts/export_screenshots.py
	uv run python src/scripts/export_screenshots.py

static/harlequin.gif: static/harlequin.mp4
	ffmpeg -i static/harlequin.mp4 -vf "fps=24,scale=640:-1:flags=lanczos,split[s0][s1];[s0]palettegen[p];[s1][p]paletteuse" -loop 0 static/harlequin.gif

profiles: .profiles/buffers.html .profiles/fast_query.html

.profiles/buffers.html: src/scripts/profile_buffers.py pyproject.toml $(shell find src/harlequin -type f)
	uv run pyinstrument -r html -o .profiles/buffers.html "src/scripts/profile_buffers.py"
	
.profiles/fast_query.html: src/scripts/profile_fast_query.py pyproject.toml $(shell find src/harlequin -type f)
	uv run pyinstrument -r html -o .profiles/fast_query.html "src/scripts/profile_fast_query.py"

=== debian/changelog ===
harlequin (2.2.1+dfsg-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Updating watch file to version 5.
  * Merging upstream version 2.2.1+dfsg.
  * Updating list of excluded files in copyright.
  * Adding newly required python3-hatchling to build-depends.

 -- Daniel Baumann <daniel@debian.org>  Sun, 19 Oct 2025 09:49:47 +0200

## harlequin 2.3.0+dfsg

=== debian/changelog ===
harlequin (2.3.0+dfsg-1) sid; urgency=medium

  * Merging upstream version 2.3.0+dfsg.

 -- Daniel Baumann <daniel@debian.org>  Mon, 27 Oct 2025 17:09:39 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-hatchling,
  python3-poetry,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/tconbeer/harlequin
 Vcs-Browser: https://forgejo.debian.net/harlequin/harlequin

=== debian/watch ===
Version: 5

Template: Github
Owner: tconbeer
Project: @PACKAGE@
Dversion-Mangle: auto

## harlequin 2.4.1%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=harlequin

%:
	dh ${@} --buildsystem=pybuild

override_dh_auto_test:
	# disabled

## harlequin 2.4.1+dfsg

=== Makefile ===
TEST_ARGS := -m 'not online'

.PHONY: check
check:
	uv sync --group test --group static
	uv run ruff format .
	uv run ruff check . --fix
	uv run pytest $(TEST_ARGS)
	uv run --python 3.12 --group test pytest -m py12 $(TEST_ARGS)
	uv run mypy

.PHONY: lint
lint:
	uv sync --group test --group static
	uv run ruff format .
	uv run ruff check . --fix
	uv run mypy

.PHONY: serve
serve:
	uv sync --group dev
	uv run textual run --dev -c harlequin -P dev -f . f1.db

.PHONY: sqlite
sqlite:
	uv sync --group dev
	uv run textual run --dev -c harlequin -P sqlite

.PHONY: keys
keys:
	uv sync --group dev
	uv run textual run --dev -c harlequin --keys

marketing: $(wildcard static/themes/*.svg) static/harlequin.gif

static/themes/%.svg: pyproject.toml scripts/export_screenshots.py
	uv sync --group dev
	uv run scripts/export_screenshots.py

static/harlequin.gif: static/harlequin.mp4
	ffmpeg -i static/harlequin.mp4 -vf "fps=24,scale=640:-1:flags=lanczos,split[s0][s1];[s0]palettegen[p];[s1][p]paletteuse" -loop 0 static/harlequin.gif

profiles: .profiles/buffers.html .profiles/fast_query.html

.profiles/buffers.html: scripts/profile_buffers.py pyproject.toml $(shell find src/harlequin -type f)
	uv sync --group dev
	uv run pyinstrument -r html -o .profiles/buffers.html "src/scripts/profile_buffers.py"
	
.profiles/fast_query.html: scripts/profile_fast_query.py pyproject.toml $(shell find src/harlequin -type f)
	uv sync --group dev
	uv run pyinstrument -r html -o .profiles/fast_query.html "src/scripts/profile_fast_query.py"

=== debian/changelog ===
harlequin (2.4.1+dfsg-1) sid; urgency=medium

  * Merging upstream version 2.4.1+dfsg.

 -- Daniel Baumann <daniel@debian.org>  Sat, 01 Nov 2025 06:43:07 +0100

## harlequin 2.5.1%2Bdfsg

=== debian/changelog ===
harlequin (2.5.1+dfsg-2) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Updating year in copyright for 2026.
  * Adding python3-pyarrow to depends (Closes: #1099499).

 -- Daniel Baumann <daniel@debian.org>  Mon, 09 Feb 2026 20:37:17 +0100

harlequin (2.5.1+dfsg-1) sid; urgency=medium

  * Merging upstream version 2.5.1+dfsg.

 -- Daniel Baumann <daniel@debian.org>  Mon, 22 Dec 2025 06:49:59 +0100

## harlequin 2.5.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-all,
  python3-hatchling,
  python3-poetry,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/tconbeer/harlequin
 Vcs-Browser: https://forgejo.debian.net/harlequin/harlequin
 Vcs-Git: https://forgejo.debian.net/harlequin/harlequin
@@ -20,6 +20,7 @@
 Depends:
  python3-textual-fastdatatable,
  python3-textual-textarea,
+ python3-pyarrow,
  ${misc:Depends},
  ${python3:Depends},
 Description: database client for the terminal
